> ## Documentation Index
> Fetch the complete documentation index at: https://developers.ebioro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payments

> Allows you to get all the payments associatted to your account



## OpenAPI

````yaml GET /payments
openapi: 3.0.0
info:
  title: Ebioro Merchant API
  description: >-
    API for merchant payment processing on Stellar. Supports direct USDC
    payments and cross-chain deposits from multiple blockchains.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /payments:
    get:
      tags:
        - Payments
      summary: Retrives a list of all payments
      description: Allows you to get all the payments associatted to your account
      operationId: getPayments
      parameters:
        - name: page
          required: false
          in: query
          description: The page number. Default value is 1.
          schema:
            type: number
        - name: limit
          required: false
          in: query
          description: The number of items per page.Default value is 20.
          schema:
            type: number
        - name: status
          required: false
          in: query
          description: Filter by payment status
          schema:
            type: string
        - name: startDate
          required: false
          in: query
          description: Start date for filtering (ISO 8601 format)
          schema:
            type: string
        - name: endDate
          required: false
          in: query
          description: End date for filtering (ISO 8601 format)
          schema:
            type: string
        - name: storeId
          required: true
          in: query
          schema:
            type: string
        - name: x-digest-timestamp
          in: header
          description: Current Unix timestamp
          required: true
          schema:
            type: string
        - name: x-digest-key
          in: header
          description: Your public api key
          required: true
          schema:
            type: string
        - name: x-digest-signature
          in: header
          description: Digest Auth Signature
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            On success the endpoint will return an object with the payment
            information
          content:
            application/json:
              example:
                items:
                  - id: pt_AEtKAcN9d-
                    createdAt: '2023-11-18T20:46:15.652Z'
                    updatedAt: '2023-11-18T20:46:15.652Z'
                    expiresAt: '2023-11-18T21:16:15.649Z'
                    mode: test
                    amount:
                      value: 3000
                      currency: USD
                    description: Buying phone
                    status: open
                    settlement_status: open
                    redirectUrl: https://example.com
                    checkout_id: pt_AEtKAcN9d-
                    webhookUrl: https://example.com/webhook
                    hostedUrl: >-
                      https://sandbox-pay.ebioro.com/payments?paymentId=pt_QKTDINJ662&auth_token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0LmViaW9yby5jb20iLCJhdWQiOiJodHRwczovL3Rlc3QtZWJpb3JvLW1lcmNoYW50LXNlcnZpY2UtMzgxNTIyNmU5MmE4Lmhlcm9rdWFwcC5jb20iLCJzdWIiOiJjMzMyZTlkYi1kYjQ1LTQ1ZmQtOTFmMy03NGNiNWU5NTQzYzQiLCJpYXQiOjE3MTQwNjcxOTIsImV4cCI6MTcxNDA3MDc5Mn0.EY5xyWptYzD1HgJPUev6LGMRFFZ8HDZOsE2Vk35OASk&lang=es
                    shortUrl: https://sandbox-pay.ebioro.com/iqtRR_42J4TAIFbciUUlV
                    qrCode: >-
                      web+stellar:pay?destination=GAPU7KB2B2USVSWBFJRHGX7AYIWYKF2W44WWDCYEJTEER5D2QYEGD5GM&amount=2.68&asset_code=USDC&asset_issuer=GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5&memo=pt_AEtKAcN9d-&memo_type=text&msg=Buying+phone
                    merchantName: Test Store
                    cancelUrl: https://example.com/cancel
                    locale: es
                    metadata: {}
                    stellarTxId: >-
                      1b680e9577572a0c3e648dcc1686373c87417d9ec17614d0ed5bf0ca397f8fcd
                    settlement_stellarTxId: >-
                      1b680e9577572a0c3e648dcc1686373c87417d9ec17614d0ed5bf0ca397f8fcd
                    settlement_currency: USDC
                    settlement_amount: 2663
                    settlement_fee: 66.575
                    amount_paid: 0
                    history:
                      - time: 1714124827333
                        status: success
                        description: Payment created
                    sender_account: GDFJ7PTIJGDINCLD7ZWZMYURELPMP6JZ6NMJBDBHKDXBFFWBC4SUFA4F
                    asset_id: >-
                      USDC:GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5
                    refunded: false
                    type: order
                    partner_id: 4f56c1ff-837c-4a1c-b372-1ddf840f252c
                meta:
                  totalItems: 1
                  itemCount: 1
                  itemsPerPage: 20
                  totalPages: 1
                  currentPage: 1
                links:
                  first: https://test-merchant.ebioro.com?limit=20
                  previous: ''
                  next: ''
                  last: https://test-merchant.ebioro.com?page=1&limit=20
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      properties:
                        id:
                          type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        expiresAt:
                          type: string
                        mode:
                          type: string
                        amount:
                          type: object
                          properties:
                            value:
                              type: number
                            currency:
                              type: string
                        description:
                          type: string
                        status:
                          type: string
                        settlement_status:
                          type: string
                        redirectUrl:
                          type: string
                        checkout_id:
                          type: string
                        webhookUrl:
                          type: string
                        hostedUrl:
                          type: string
                        qrCode:
                          type: string
                        merchantName:
                          type: string
                        cancelUrl:
                          type: string
                        locale:
                          type: string
                        metadata:
                          type: object
                        stellarTxId:
                          type: string
                        settlement_stellarTxId:
                          type: string
                        settlement_currency:
                          type: string
                        settlement_amount:
                          type: number
                        settlement_fee:
                          type: number
                        amount_paid:
                          type: number
                        history:
                          type: array
                          items:
                            type: object
                            properties:
                              time:
                                type: number
                              status:
                                type: string
                              description:
                                type: string
                        sender_account:
                          type: string
                        asset_id:
                          type: string
                        refunded:
                          type: boolean
                        type:
                          type: string
                        partner_id:
                          type: string
                  meta:
                    type: object
                    properties:
                      totalItems:
                        type: number
                      itemCount:
                        type: number
                      itemsPerPage:
                        type: number
                      totalPages:
                        type: number
                      currentPage:
                        type: number
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                      previous:
                        type: string
                      next:
                        type: string
                      last:
                        type: string
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                reason: Bad Request
                statusCode: 400
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  reason:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                reason: Unauthorized
                statusCode: 401
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  reason:
                    type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                reason: Internal Server Error
                statusCode: 500
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                  reason:
                    type: string
      security:
        - customHeader: []
components:
  securitySchemes:
    customHeader:
      type: apiKey
      in: header
      name: x-digest-key
      description: Your public API key

````